/*
 * Hardware info about DEC DECstation 5000/1xx systems (otherwise known
 * as 3min or kn02ba.
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 1995,1996 by Paul M. Antoine, some code and definitions
 * are by curteousy of Chris Fraser.
 *
 * This file is under construction - nothing in here is correct - you were warned!
 */
#include <asm/segment.h>
#ifndef __ASM_MIPS_DEC_KN02BA_H 
#define __ASM_MIPS_DEC_KN02BA_H 

/*
 * Motherboard regs (kseg1 addresses)
 */
#define KN02BA_SSR_ADDR	KSEG1ADDR(0x1ff00000)	/* system control & status reg */

/*
 * SSR defines
 */
#define KN02BA_SSR_LEDMASK	0x0000001000		/* diagnostic LED */

#ifndef __LANGUAGE_ASSEMBLY__

extern __inline__ void kn02ba_set_led(unsigned int bits)
{
	volatile unsigned int *led_register = (unsigned int *) KN02BA_SSR_ADDR;

	*led_register = bits & KN02BA_SSR_LEDMASK;
}

#endif

/*
 * Some port addresses...
 * FIXME: these addresses are incomplete and need tidying up!
 */
#define KN02BA_RTC_BASE	(KSEG1ADDR(0x1fe80000 + 0x200000)) /* ASIC + SL8 */

/*
 * Interrupt request levels
 */
#define	KN02BA_TC3_IRQ		2
#define	KN02BA_TC2_IRQ		3
#define	KN02BA_TC1_IRQ		4
#define	KN02BA_TC0_IRQ		5
#define	KN02BA_HALT_IRQ	6


#endif /* __ASM_MIPS_DEC_KN02BA_H */
